Index: examples/Validation.cpp
===================================================================
--- examples/Validation.cpp	(revision 87ff5a0d5ba9c8c4cc9eedbcb708eb9ac2813385)
+++ examples/Validation.cpp	(revision 92237ca859b003026b5fcdec8e41b9088fdb5736)
@@ -1279,57 +2673,37 @@
   for (int bin = 0; bin < Nbins; bin++)
   {
-    plots_el.at(bin).cenResolHist->Write();
-    plots_eltrack.at(bin).cenResolHist->Write();
-    plots_eltower.at(bin).cenResolHist->Write();
-    plots_el.at(bin).fwdResolHist->Write();
-    plots_eltrack.at(bin).fwdResolHist->Write();
-    plots_eltower.at(bin).fwdResolHist->Write();
-  }
-
-  histos_el.first->Write();
-  histos_el.second->Write();
-  histos_eltrack.first->Write();
-  histos_eltrack.second->Write();
-  histos_eltower.first->Write();
-  histos_eltower.second->Write();
-  C_el1->Write();
-  C_el2->Write();
-
-  for (int bin = 0; bin < Nbins; bin++)
-  {
-    plots_mu.at(bin).cenResolHist->Write();
-    plots_mutrack.at(bin).cenResolHist->Write();
-    plots_mu.at(bin).fwdResolHist->Write();
-    plots_mutrack.at(bin).fwdResolHist->Write();
-  }
-
-  histos_mu.first->Write();
-  histos_mu.second->Write();
-  histos_mutrack.first->Write();
-  histos_mutrack.second->Write();
-  C_mu1->Write();
-  C_mu->Write();
-
-  histos_ph.first->Write();
-  histos_ph.second->Write();
-  C_ph1->Write();
-  C_ph->Write();
-
-  for (int bin = 0; bin < Nbins; bin++)
-  {
-    plots_pfjets.at(bin).cenResolHist->Write();
-    plots_pfjets.at(bin).fwdResolHist->Write();
-    plots_calojets.at(bin).cenResolHist->Write();
-    plots_calojets.at(bin).fwdResolHist->Write();
-    plots_met.at(bin).cenResolHist->Write();
-  }
-  histos_btag.first->Write();
-  histos_btag.second->Write();
-  histos_tautag.first->Write();
-  histos_tautag.second->Write();
-  C_btag1->Write();
-  C_tautag1->Write();
-  C_jet->Write();
-  C_met->Write();
+
+    for (k = 0; k < etaVals.size()-1; k++)
+    {
+       plots_trkpi_res_pt[k].at(bin).resolHist->Write();
+       plots_trkele_res_pt[k].at(bin).resolHist->Write();
+	   plots_trkmu_res_pt[k].at(bin).resolHist->Write();
+       plots_ecal_res_e[k].at(bin).resolHist->Write();
+       plots_hcal_res_e[k].at(bin).resolHist->Write();
+       plots_pfele_res_e[k].at(bin).resolHist->Write();
+       plots_pfpi_res_e[k].at(bin).resolHist->Write();
+       plots_pfjet_res_e[k].at(bin).resolHist->Write();
+       plots_cajet_res_e[k].at(bin).resolHist->Write();
+
+    }
+
+    for (k = 0; k < ptVals.size(); k++)
+    {
+       plots_trkpi_res_eta[k].at(bin).resolHist->Write();
+       plots_trkele_res_eta[k].at(bin).resolHist->Write();
+       plots_trkmu_res_eta[k].at(bin).resolHist->Write();
+       plots_ecal_res_eta[k].at(bin).resolHist->Write();
+       plots_hcal_res_eta[k].at(bin).resolHist->Write();
+       plots_pfele_res_eta[k].at(bin).resolHist->Write();
+       plots_pfpi_res_eta[k].at(bin).resolHist->Write();
+       plots_pfjet_res_eta[k].at(bin).resolHist->Write();
+       plots_cajet_res_eta[k].at(bin).resolHist->Write();
+
+    }
+
+    plots_pfmet.at(bin).resolHist->Write();
+    plots_camet.at(bin).resolHist->Write();
+
+  }
 
   fout->Write();
@@ -1357,12 +2731,15 @@
   char *appName = "Validation";
 
-  if(argc != 8)
+  if(argc != 11)
   {
     cout << " Usage: " << appName << " input_file_electron input_file_muon input_file_photon input_file_jet input_file_bjet input_file_taujet output_file" << endl;
+    cout << " input_file_pion  - input file in ROOT format ('Delphes' tree)," << endl;
     cout << " input_file_electron  - input file in ROOT format ('Delphes' tree)," << endl;
     cout << " input_file_muon - input file in ROOT format ('Delphes' tree)," << endl;
     cout << " input_file_photon - input file in ROOT format ('Delphes' tree)," << endl;
+    cout << " input_file_neutralhadron - input file in ROOT format ('Delphes' tree)," << endl;
     cout << " input_file_jet - input file in ROOT format ('Delphes' tree)," << endl;
     cout << " input_file_bjet - input file in ROOT format ('Delphes' tree)," << endl;
+    cout << " input_file_cjet - input file in ROOT format ('Delphes' tree)," << endl;
     cout << " input_file_taujet - input file in ROOT format ('Delphes' tree)," << endl;
     cout << " output_file - output file in ROOT format" << endl;
@@ -1376,6 +2753,7 @@
   TApplication app(appName, &appargc, appargv);
 
-  Validation(argv[1], argv[2], argv[3], argv[4], argv[5], argv[6], argv[7]);
+  Validation(argv[1], argv[2], argv[3], argv[4], argv[5], argv[6], argv[7], argv[8], argv[9], argv[10]);
 }
 
 
+
